#!/usr/bin/perl 
###################################
# rng.pl 
# Generates random lookup latencies
# Albert Cabellos
# acabello@ac.upc.edu
##################################

# Usage
if (($#ARGV + 1)!=2)
        {
        printf("Usage: $0 <LOOKUP LATENCY FILE> <COUNT>\n");
        exit;
        }

$count = $ARGV[1];
my @lookup;

# Seed the RNG
srand (time ^ $$ ^ unpack "%L", `ps axww | gzip -f`);

# Load the file
open IFILE, $ARGV[0]   || print "1: Can't open file:$!\n";

while(<IFILE>) {
	@line = split(/ /,$_);
	push(@lookup,$line[1]);
}

# Generate the random numbers

my $i=0;

for($i=0;$i<$count;$i++) {
	printf("%d\n",$lookup[int(rand(scalar(@lookup)))]);
}
